Bug 27474 - Improve link text to define a label printer profile if none defined and fix conditional
Summary: Improve link text to define a label printer profile if none defined and fix c...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amy King
QA Contact: Nick Clemens
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2021-01-20 01:27 UTC by Aleisha Amohia
Modified: 2021-06-14 21:34 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27474: improve link text when no avaliable printer profiles (2.30 KB, patch)
2021-01-20 22:32 UTC, Amy King
Details | Diff | Splinter Review
Bug 27474: improve link text when no avaliable printer profiles (2.30 KB, patch)
2021-01-20 22:33 UTC, Amy King
Details | Diff | Splinter Review
Bug 27474: improve link text when no avaliable printer profiles (2.35 KB, patch)
2021-01-21 19:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27474: improve link text when no avaliable printer profiles (2.40 KB, patch)
2021-01-21 19:51 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27474: Improve link text when no avaliable printer profiles (2.40 KB, patch)
2021-01-22 13:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 01:27:19 UTC
In Tools -> Label creator, ensure you have no printer profiles created. Go to add a new label template. In the dropdown next to Profile, a No Profile/NA option is selected.

In the template koha-tmpl/intranet-tmpl/prog/en/modules/labels/label-edit-template.tt there is a message that is supposed to direct a person to create a new printer profile since there are none ('click here'), but this never shows because of the 'No Profile/NA' option. 

This should be patched so reword the click here message.
"Here" should not be used as a link text as it doesn't contain any helpful information for people scanning the page for information and also is a problem for blind users using screen readers jumping from link to link on a page.

We should also fix the IF statement so that the message will show if there is only one profile in the profiles loop.
Comment 1 Amy King 2021-01-20 22:32:16 UTC
Created attachment 115470 [details] [review]
Bug 27474: improve link text when no avaliable printer profiles

Test plab:
1. Go to tools, click on label creator.
2. Make sure you have some(1-2) printer profiles free to attach to a
label template. You can do this by clicking on manage, printer profiles,
if there is a blank space under the "Template name" header, then it is
free to attach to a label template.
3. Click on add new label template.
4. Note how there is a drop down menu beside "Profile:", to select a
printer profile.
5. Assign all of the avaliable printer profiles by making new label templates.
6. Now woth no avaliable printer profiles, click on add a new label
template.
7. Note how there is a drop down menu beside "Profile:" only "No
Profile/Na" is avaliable to select.
8. Apply patch.
9. Repeat steps 2-6.
10. Now note how there is a link to make a new printer profile, under
the drop down menu next to "Profile:"
Comment 2 Amy King 2021-01-20 22:33:18 UTC
Created attachment 115472 [details] [review]
Bug 27474: improve link text when no avaliable printer profiles

Test plan:
1. Go to tools, click on label creator.
2. Make sure you have some(1-2) printer profiles free to attach to a
label template. You can do this by clicking on manage, printer profiles,
if there is a blank space under the "Template name" header, then it is
free to attach to a label template.
3. Click on add new label template.
4. Note how there is a drop down menu beside "Profile:", to select a
printer profile.
5. Assign all of the avaliable printer profiles by making new label templates.
6. Now woth no avaliable printer profiles, click on add a new label
template.
7. Note how there is a drop down menu beside "Profile:" only "No
Profile/Na" is avaliable to select.
8. Apply patch.
9. Repeat steps 2-6.
10. Now note how there is a link to make a new printer profile, under
the drop down menu next to "Profile:"
Comment 3 Owen Leonard 2021-01-21 19:03:00 UTC
Created attachment 115593 [details] [review]
Bug 27474: improve link text when no avaliable printer profiles

Test plan:
1.  Go to tools, click on label creator.
2.  Make sure you have some(1-2) printer profiles free to attach to a
    label template. You can do this by clicking on manage, printer 
    profiles, if there is a blank space under the "Template name" 
    header, then it is free to attach to a label template.
3.  Click on add new label template.
4.  Note how there is a drop down menu beside "Profile:", to select a
    printer profile.
5.  Assign all of the avaliable printer profiles by making new label 
    templates.
6.  Now woth no avaliable printer profiles, click on add a new label
    template.
7.  Note how there is a drop down menu beside "Profile:" only "No
    Profile/Na" is avaliable to select.
8.  Apply patch.
9.  Repeat steps 2-6.
10. Now note how there is a link to make a new printer profile, under
    the drop down menu next to "Profile:"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Nick Clemens 2021-01-21 19:51:32 UTC
Created attachment 115613 [details] [review]
Bug 27474: improve link text when no avaliable printer profiles

Test plan:
1. Go to tools, click on label creator.
2. Make sure you have some(1-2) printer profiles free to attach to a
label template. You can do this by clicking on manage, printer profiles,
if there is a blank space under the "Template name" header, then it is
free to attach to a label template.
3. Click on add new label template.
4. Note how there is a drop down menu beside "Profile:", to select a
printer profile.
5. Assign all of the avaliable printer profiles by making new label templates.
6. Now woth no avaliable printer profiles, click on add a new label
template.
7. Note how there is a drop down menu beside "Profile:" only "No
Profile/Na" is avaliable to select.
8. Apply patch.
9. Repeat steps 2-6.
10. Now note how there is a link to make a new printer profile, under
the drop down menu next to "Profile:"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-01-22 13:24:02 UTC
Created attachment 115693 [details] [review]
Bug 27474: Improve link text when no avaliable printer profiles

Test plan:
1. Go to tools, click on label creator.
2. Make sure you have some(1-2) printer profiles free to attach to a
label template. You can do this by clicking on manage, printer profiles,
if there is a blank space under the "Template name" header, then it is
free to attach to a label template.
3. Click on add new label template.
4. Note how there is a drop down menu beside "Profile:", to select a
printer profile.
5. Assign all of the avaliable printer profiles by making new label templates.
6. Now woth no avaliable printer profiles, click on add a new label
template.
7. Note how there is a drop down menu beside "Profile:" only "No
Profile/Na" is avaliable to select.
8. Apply patch.
9. Repeat steps 2-6.
10. Now note how there is a link to make a new printer profile, under
the drop down menu next to "Profile:"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-01-22 13:54:40 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-29 13:42:19 UTC
Enhancement not pushed to 20.11.x